Loading...
Searching...
No Matches
volk_8ic_x2_s32f_multiply_conjugate_32fc.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <volk/volk_complex.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_8ic_x2_s32f_multiply_conjugate_32fc_u_H

## Functions

static void | volk_8ic_x2_s32f_multiply_conjugate_32fc_generic (lv_32fc_t *cVector, const lv_8sc_t *aVector, const lv_8sc_t *bVector, const float scalar, unsigned int num_points)
static void | volk_8ic_x2_s32f_multiply_conjugate_32fc_neon (lv_32fc_t *cVector, const lv_8sc_t *aVector, const lv_8sc_t *bVector, const float scalar, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_8ic_x2_s32f_multiply_conjugate_32fc_u_H

#define INCLUDED_volk_8ic_x2_s32f_multiply_conjugate_32fc_u_H

## Function Documentation

## volk_8ic_x2_s32f_multiply_conjugate_32fc_generic()

void volk_8ic_x2_s32f_multiply_conjugate_32fc_generic | ( | lv_32fc_t * | cVector,
|  | const lv_8sc_t * | aVector,
|  | const lv_8sc_t * | bVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static

## volk_8ic_x2_s32f_multiply_conjugate_32fc_neon()

void volk_8ic_x2_s32f_multiply_conjugate_32fc_neon | ( | lv_32fc_t * | cVector,
|  | const lv_8sc_t * | aVector,
|  | const lv_8sc_t * | bVector,
|  | const float | scalar,
|  | unsigned int | num_points )

inline static